Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class LayerFeatureConstraints

    java.lang.Object
      org.deegree.graphics.sld.LayerFeatureConstraints

All Implemented Interfaces:
  Marshallable

    public class LayerFeatureConstraints

extends Object
implements Marshallable

The LayerFeatureConstraints element is optional in a NamedLayer and allows the user to specify constraints on what features of what feature types are to be selected by the named-layer reference. It is essentially a filter that allows the selection of fewer features than are present in the named layer.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`LayerFeatureConstraints(FeatureTypeConstraint[] featureTypeConstraint)` constructor initializing the class with the

Method Summary
`void` | `addFeatureTypeConstraint(FeatureTypeConstraint featureTypeConstraint)` adds the
`String` | `exportAsXML()` exports the content of the Font as XML formated String
`FeatureTypeConstraint[]` | `getFeatureTypeConstraint()` A FeatureTypeConstraint element is used to identify a feature type by a well-known name, using the FeatureTypeName element.
`void` | `removeFeatureTypeConstraint(FeatureTypeConstraint featureTypeConstraint)` Removes a FeatureTypeConstraint.
`void` | `setFeatureTypeConstraint(FeatureTypeConstraint[] featureTypeConstraint)` sets the
`String` | `toString()` returns the LayerFeatureConstraints as String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LayerFeatureConstraints

    public LayerFeatureConstraints(FeatureTypeConstraint[] featureTypeConstraint)

  constructor initializing the class with the

  Parameters:
    `featureTypeConstraint` -

Method Detail

### getFeatureTypeConstraint

    public FeatureTypeConstraint[] getFeatureTypeConstraint()

  A FeatureTypeConstraint element is used to identify a feature type by a well-known name, using the FeatureTypeName element.

  Returns:
    the FeatureTypeConstraints as Array

### setFeatureTypeConstraint

    public void setFeatureTypeConstraint(FeatureTypeConstraint[] featureTypeConstraint)

  sets the

  Parameters:
    `featureTypeConstraint` - the

### addFeatureTypeConstraint

    public void addFeatureTypeConstraint(FeatureTypeConstraint featureTypeConstraint)

  adds the

  Parameters:
    `featureTypeConstraint` - the

### removeFeatureTypeConstraint

    public void removeFeatureTypeConstraint(FeatureTypeConstraint featureTypeConstraint)

  Removes a FeatureTypeConstraint.

  Parameters:
    `featureTypeConstraint` - the

### toString

    public String toString()

  returns the LayerFeatureConstraints as String.

  Overrides:
    `toString` in class `Object`
  Returns:
    the LayerFeatureConstraints as String

### exportAsXML

    public String exportAsXML()

  exports the content of the Font as XML formated String

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the Font

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org